Đến nội dung


Hình ảnh
- - - - -

Cách chọn đối tượng trong SendCommand


  • Please log in to reply
2 replies to this topic

#1 phantuhuong

phantuhuong

    biết dimstyle

  • Moderator
  • PipPipPipPipPip
  • 383 Bài viết
Điểm đánh giá: 200 (khá)

Đã gửi 23 January 2010 - 08:37 PM

Tôi sử dụng VBA để thực hiện công việc Break đối tượng, nhưng VBA lại không hỗ trợ. Vì vậy chuyển sang dùng SendCommand. Cái khổ là SendCommand chỉ nhận chuỗi, không nhận object (gán bằng VBA là nó báo lỗi). Mò mãi vẫn chưa ra, dùng cả phương thức ObjectID hỗ trợ cũng không được.


Không hiểu có bác nào biết cách không?

Sub Example_SendCommand()
' This example sends a command for evaluation to the AutoCAD command line
' of a particular drawing

' Create a Circle in the active drawing and
' zoom to display the entire circle
ThisDrawing.SendCommand "_Circle" & vbCr & "2,2,0" & vbCr & "4" & vbCr
ThisDrawing.SendCommand "_zoom" & vbCr & "a" & vbCr

' Refresh view
ThisDrawing.Regen acAllViewports

MsgBox "A circle command has been sent to the command line of the current drawing."
End Sub

  • 0
Bồi dưỡng Excel & VBA cho các đơn vị ở Hà Nội và khu vực lân cận

Từng bước loại đồ Tàu ra khỏi cuộc sống!


#2 anhcos

anhcos

    biết lệnh hatchedit

  • Advance Member
  • PipPipPipPip
  • 260 Bài viết
Điểm đánh giá: 170 (tàm tạm)

Đã gửi 23 January 2010 - 10:00 PM

Kẹt lắm mới dùng đến SendCommand.

Tôi chưa dùng cái lệnh break này bao giờ, bạn tham khảo chỗ này xem ntn:
http://forums.augi.c...ead.php?t=58553
  • 1
Clear sky!

MF Rock collection.

#3 phantuhuong

phantuhuong

    biết dimstyle

  • Moderator
  • PipPipPipPipPip
  • 383 Bài viết
Điểm đánh giá: 200 (khá)

Đã gửi 24 January 2010 - 10:43 AM

Kẹt lắm mới dùng đến SendCommand.

Tôi chưa dùng cái lệnh break này bao giờ, bạn tham khảo chỗ này xem ntn:
http://forums.augi.c...ead.php?t=58553


Tôi cũng đã thử thục này nhưng thấy nó chạy vẫn chưa được ổn.
  • 0
Bồi dưỡng Excel & VBA cho các đơn vị ở Hà Nội và khu vực lân cận

Từng bước loại đồ Tàu ra khỏi cuộc sống!